/*
 * Licensed to Open Source Radio Access Network(OS-RAN) Alliance and OAI
 * Software Alliance under one or more contributor license agreements. The
 * initial OpenXG series projects are derided from OAI projects, the files from
 * OAI projects are all in compliance with OAI Public License, Version 1.1.
 * codes and files developed from OpenXG projects and from OS-RAN Alliance
 * are all under OS-RAN licenses; you may not use this file except in compliance
 * with the license.  You may get a copy of the license at:
 *	http://www.openxg.org.cn/?falu_69.html
 * For more information about OpenXG, please contact:
 * contact@openxg.org.cn
 */


#include "smf_event.hpp"
#include "itti.hpp"
#include "smf_app.hpp"
#include "smf_subscription.hpp"

using namespace smf;
extern smf::smf_app* smf_app_inst;
extern itti_mw* itti_inst;

//------------------------------------------------------------------------------
bs2::connection smf_event::subscribe_sm_context_status(
    const sm_context_status_sig_t::slot_type& sig) {
  return sm_context_status.connect(sig);
}

//------------------------------------------------------------------------------
bs2::connection smf_event::subscribe_ee_pdu_session_release(
    const ee_pdu_session_release_sig_t::slot_type& sig) {
  return ee_pdu_session_release.connect(sig);
}
